package cn.iocoder.yudao.module.mes.service.orgworker;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.mes.controller.admin.orgworker.vo.OrgWorkerPageReqVO;
import cn.iocoder.yudao.module.mes.controller.admin.orgworker.vo.OrgWorkerRespVO;
import cn.iocoder.yudao.module.mes.controller.admin.orgworker.vo.OrgWorkerSaveReqVO;
import cn.iocoder.yudao.module.mes.dal.dataobject.orgworker.OrgWorkerDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 工位安排 Service 接口
 *
 * @author 内蒙必硕
 */
public interface OrgWorkerService {

    /**
     * 创建工位安排
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOrgWorker(@Valid OrgWorkerSaveReqVO createReqVO);

    /**
     * 更新工位安排
     *
     * @param updateReqVO 更新信息
     */
    void updateOrgWorker(@Valid OrgWorkerSaveReqVO updateReqVO);

    /**
     * 删除工位安排
     *
     * @param id 编号
     */
    void deleteOrgWorker(Long id);

    /**
     * 获得工位安排
     *
     * @param id 编号
     * @return 工位安排
     */
    OrgWorkerDO getOrgWorker(Long id);

    /**
     * 获得工位安排分页
     *
     * @param pageReqVO 分页查询
     * @return 工位安排分页
     */
    PageResult<OrgWorkerRespVO> getOrgWorkerPage(OrgWorkerPageReqVO pageReqVO);
    List<OrgWorkerRespVO> buildVOList(List<OrgWorkerDO> list);

    List<OrgWorkerDO> getOrgWorkerByReportResVo(OrgWorkerPageReqVO pageReqVO);
}